.import QtQuick.LocalStorage 2.0 as SQL

/* For internal usage in module.
 */
var gDbCache = undefined
function openStdDataBase() {
    if (gDbCache === undefined)
        gDbCache = SQL.LocalStorage.openDatabaseSync("RSS Reader", "1.0", "App main DB", 10000) // Look, I changed DB name.
    return gDbCache
}

/* New unified function will replace separate
 * "ensureFeedTableExists" and "ensureEntriesTableExists".
 * NOTE 1 - it's JS function with variable number of arguments.
 * NOTE 2 - mb "checkTableExisting" is better name.
 */
function checkTableExists(transaction /* and additional string keys */) {
    for (var i = 1; i < arguments.length; i++) { // First argument is transaction so i = 1.
        var arg = arguments[i]
        switch (arg) {
            case "feeds":
                transaction.executeSql('CREATE TABLE IF NOT EXISTS ...')
                break
            case "articles":
                transaction.executeSql('CREATE TABLE IF NOT EXISTS ...')
                break
                // ...
            case "all": // Check all tables existing.
                transaction.executeSql('CREATE TABLE IF NOT EXISTS ...')
                transaction.executeSql('CREATE TABLE IF NOT EXISTS ...')
                transaction.executeSql('CREATE TABLE IF NOT EXISTS ...')
                break
            default:
                // mb some staff.
                break;
        }
    }
}

// TODO More staff, discussed in Joey's letters and scheme.
